version: '3.8'
services:
  obsidian:
    image: lscr.io/linuxserver/obsidian:latest
    container_name: obsidian
    restart: unless-stopped
    security_opt:
      - seccomp:unconfined
    environment:
      - PUID=1000
      - PGID=1000
      - TZ=America/Los_Angeles
      - CUSTOM_USER=admin
      - PASSWORD="REDACTED_PASSWORD"
    volumes:
      - /opt/obsidian/config:/config
    ports:
      - "127.0.0.1:3000:3000"
      - "127.0.0.1:3001:3001"
    shm_size: "1gb"
